#JobEditor {
    background: #ccc;
    left: 10%;
    overflow-y: auto;
    position: fixed;
    right: 10%;
    top: 5%;
    z-index: 4;
}

#JobEditor .Header,
#JobEditor .ActionBar {
    display: grid;
    grid-auto-flow: column;
    grid-gap: 1rem;
    padding: 1.2rem 2rem;
}

#JobEditor .Header {
    background: #454545;
    justify-content: space-between;
}

#JobEditor .ActionBar {
    align-items: center;
    background: #ccc;
    color: #2e2e2e;
    justify-content: space-between;
}

#JobEditor .Header .Title {
    color: #fff;
    font-size: 2.4rem;
    font-weight: bold;
    text-shadow: #000 0 0 1px;
}

#JobEditor .ActionBar button {
    padding: 1rem 3rem;
}

#JobEditor .Main {
    background: #fff;
    border: 0;
    display: grid;
    grid-auto-flow: column;
    padding: 1rem 1rem 2rem 1rem;
    overflow-y: auto;
}

#JobEditor .Section {
    align-content: baseline;
    display: grid;
    grid-auto-flow: row;
    grid-gap: 2rem;
    padding: 1rem 2rem;
}

#JobEditor .Section .Field {
    display: grid;
    grid-template-columns: 2fr 10fr;
    grid-gap: 0.3rem;
}

#JobEditor .Section .Field .Label {
    color: #666;
    font-size: 1.5rem;
    font-weight: bold;
}

#JobEditor .Section .Field .Label a {
    display: block;
    color: #ccc;
    cursor: help;
    font-size: 0.9rem;
    font-weight: bold;
    padding: 0.25rem 0;
    text-decoration: none;
    text-transform: uppercase;
}

#JobEditor .Section .Field .Label .Hint {
    font-size: 1rem;
    font-weight: normal;
    margin-right: 1rem;
}

#JobEditor .Section .Field .Input {
    border: 1px solid #ccc;
    color: #333;
    display: block;
    font-family: 'Source Code Pro', monospace;
    font-size: 1rem;
    margin: 0;
    padding: 0.6rem;
    width: 100%;
}

#JobEditor .Section .Field .ErrorMessage {
    display: none;
}

#JobEditor .Section .Field.Error .Input {
    border-color: #c00;
}

#JobEditor .Section .Field.Error .ErrorMessage {
    display: block;
    color: #c00;
}

#JobEditor .SubForm {
    display: grid;
    grid-auto-flow: row;
    grid-gap: 1rem;
}

#JobEditor .SubForm .SubField {
    align-content: baseline;
    align-items: center;
    display: grid;
    font-size: 1rem;
    grid-auto-flow: row;
}

#JobEditor .SubForm .SubField .Label {
    font-size: 1rem;
}

.RuleClauses {
    display: grid;
    grid-gap: 1rem;
    grid-template-columns: 1fr 1fr 1fr;
}

.RuleClauses .RuleClause {
    border: 1px outset;
    cursor: pointer;
    display: grid;
    grid-auto-flow: row;
    grid-gap: 1rem;
    font-size: 1rem;
    padding: 1rem;
}

.RuleClauses .RuleClause .Row dt {
    cursor: pointer;
    font-size: 0.75rem;
}

.RuleClauses .RuleClause .Row dd {
    cursor: pointer;
    font-family: 'Source Code Pro', monospace;
}

.RuleClauses .RuleClause .Row dd div {
    cursor: pointer;
}

.MatrixList {
    display: grid;
    grid-auto-flow: row;
    grid-gap: 0.1rem;
}

.MatrixList .MatrixItem {
    display: grid;
    grid-auto-flow: column;
    border: 1rem solid #f0f0f0;
}

.MatrixList .Input {
    background: transparent !important;
}

.MatrixList .MatrixItem .Variable {
    align-content: baseline;
    display: grid;
    grid-auto-flow: row;
    padding: 1rem;
}

.MatrixList .MatrixItem:hover {
    background: lightyellow;
}

.MatrixList .MatrixItem .Variable:hover {
    background: lightgoldenrodyellow;
}
